Grade Practice
curl --request POST \
--url https://api.opennote.com/v1/interactives/practice/grade \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"problem": {
"problem_statement": "<string>",
"correct_answer": "<string>",
"difficulty": "medium",
"answer_choices": {},
"explanation": "<string>",
"scoring_details": "<string>",
"include_graph": false,
"graph_description": "<string>",
"graph_url": "<string>",
"user_answer": "<string>"
}
}
'import requests
url = "https://api.opennote.com/v1/interactives/practice/grade"
payload = { "problem": {
"problem_statement": "<string>",
"correct_answer": "<string>",
"difficulty": "medium",
"answer_choices": {},
"explanation": "<string>",
"scoring_details": "<string>",
"include_graph": False,
"graph_description": "<string>",
"graph_url": "<string>",
"user_answer": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
problem: {
problem_statement: '<string>',
correct_answer: '<string>',
difficulty: 'medium',
answer_choices: {},
explanation: '<string>',
scoring_details: '<string>',
include_graph: false,
graph_description: '<string>',
graph_url: '<string>',
user_answer: '<string>'
}
})
};
fetch('https://api.opennote.com/v1/interactives/practice/grade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "<string>",
"score": 123,
"explanation": "<string>",
"max_score": 123,
"percentage": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}API Reference
Grade Practice
POST
/
v1
/
interactives
/
practice
/
grade
Grade Practice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The practice problem to grade
Show child attributes
Show child attributes
Was this page helpful?
⌘I

